{% extends 'login/_layout.html' %}
{% block content %}
<h1>Hello, {{ person.displayName }}</h1>
<p>
  You are signed in as <strong>{{ person.displayName }} ({{ crsid }})</strong>.
  If this isn't you, please
  <a href="/accounts/logout?next={{ request.get_full_path | urlencode }}">sign
  in with a different account</a>.
</p>

<p>
  <strong>{{ login_session.app_name }}</strong>, hosted at
  <strong>{{ app_url }}</strong>, is requesting access to the following
  University services on your behalf.
  Only allow this request to proceed if you trust the application.
</p>

{% for consent in consents %}
<h2>{{ consent.info.name }}</h2>
<p>
  {{ consent.info.description }}
  {% if consent.info.help_url %}
    <em><a href="{{ consent.info.help_url }}">More information.</a></em>
  {% endif %}
</p>
<p>The application would like to use this service to:</p>
<ul>
  {% for scope in consent.scopes %}
  <li>
    {% if forloop.revcounter0 == 0 %}
      <strong>{{ scope.description }}</strong>.
    {% elif forloop.revcounter0 == 1 %}
      <strong>{{ scope.description }}</strong>, and
    {% else %}
      <strong>{{ scope.description }}</strong>,
    {% endif %}
  </li>
  {% endfor %}
</ul>
{% endfor %}

<form method="post" action="{% url 'login-consent' %}">
  {% csrf_token %}
  <p class="consent-buttons">
    <input type="submit" name="allow" value="Allow access to these services" class="campl-btn" />&nbsp;
    <input type="submit" name="deny" value="Deny this time" class="campl-btn" />
  </p>
</form>
{% endblock %}
